#v0.1 Export all pages to jpg file

def exportImages(img_prefix,img_width,img_height,img_AA,img_factor)
	#The definition of variables
	img_ext="jpg"
  img_AA=true if img_AA=="true"
  img_AA=false if img_AA=="false"

	model=Sketchup.active_model
	#Cancel Movie Converter
	manager = model.options
	provider = manager[2]
	s=provider[0]
	provider[0]=false

  #Settings page
	pages=model.pages
	tp=pages.selected_page
	#Start Processing
	for i  in 0..pages.size-1
		pages.selected_page=pages[i]
		view=model.active_view
		if img_width==0
			img_width=view.vpwidth
			img_height=view.vpheight
		else
			if img_height==0
				img_height=img_width*view.vpheight/view.vpwidth
			end
		end
		#Save the image
		view.write_image img_prefix+(i+1).to_s+"."+img_ext,img_width,img_height,img_AA,img_factor/100
	end
  #Restore Settings
	pages.selected_page=tp
	provider[0]=s
  
  UI.messagebox "Images have been exported, and the model file in the same directory"
end#end of def exportImages