require 'sketchup.rb'

require 'SmartModeling\exportImage.rb'
require 'SmartModeling\edgeTools.rb'
require 'SmartModeling\edgeToFace.rb'
require 'SmartModeling\randCubes.rb'
require 'SmartModeling\Utilities.rb'
require 'SmartModeling\randonMatrix.rb'
#require 'SmartModeling\saveToDatabase.rb'

def showpanel()

ver=0.1


controlpanel=UI::WebDialog.new("Smart Modeling",true,"control panel",300,600,100,100,false)
controlpanel.set_url(File.dirname(__FILE__)+"/panel.html")

#
controlpanel.add_action_callback("cleanface"){|d,p|
  model=Sketchup.active_model
  ss=model.selection
  model.start_operation "cleanface"
  margeFaces(ss)
  model.commit_operation
  #save2database("cleanface",ver)
}

#ͼ񵼳
controlpanel.add_action_callback("exportimage"){|d,p|
  p=p.split(",")
  exportImages(p[0], p[1].to_i ,p[2].to_i, p[3], p[4].to_i)
  #save2database("exprotimage",ver)
}

controlpanel.add_action_callback("loftedge"){|d,p|
  p=p.split(",")
  model=Sketchup.active_model
  model.start_operation "loft edges"
  edge2cube(p[1].to_f/25.4,p[2].to_f/25.4,p[3]) if p[0]=="rect"
  edge2tube(p[1].to_f/25.4,p[3]) if p[0]=="circle"
  model.commit_operation
  #save2database("loftedge",ver)
}

controlpanel.add_action_callback("widenedge"){|d,p|
  p=p.split(",")
  model=Sketchup.active_model
  model.start_operation "widen edges"
  edge2face(p[0].to_f/25.4/2,p[1].to_f/25.4,"null")
  model.commit_operation
  #save2database("widenedge",ver)
}

controlpanel.add_action_callback("randonmatrix"){|d,p|
  p=p.split("`")
  model=Sketchup.active_model
  model.start_operation "randon matrix"
  randonMatrix(p[0].to_f/25.4,p[1].to_f/25.4,p[2].to_i,p[3].to_i,p[4].to_i,p[5])
  model.commit_operation
  #save2database("randonmatrix",ver)
}

controlpanel.show()
end